# This file is a template, and might need editing before it works on your project.
# Official framework image. Look for the different tagged releases at:
# https://hub.docker.com/r/library/node/tags/
image: node:latest

stages:
  # - test
  - deploy dev

cache:
  paths:
    - node_modules/

# test:
#     stage: test
#     before_script:
#       - npm install

#     script:
#       - npm test

deploy dev:
  stage: deploy dev
  only:
    - master
  before_script:
    - npm config set prefix /usr/local
    - npm i
    - npm i -g serverless
  script:
    - serverless deploy --stage dev --verbose
  environment: dev
